app-id: com.fossgalaxy.fggl.Demo
runtime: org.freedesktop.Platform
runtime-version: '21.08'
sdk: org.freedesktop.Sdk
command: /app/bin/demo
finish-args:
  - "--device=dri"
  - "--share=ipc"
  - "--socket=fallback-x11"
  - "--socket=wayland"
modules:
  - modules/glfw.yml
  - modules/glm-0.9.9.8.json
  - modules/fmt.yml
  - modules/spdlog.json
  - modules/googletest.yml
  - shared-modules/glu/glu-9.json
  - modules/yaml-cpp.yml
  - modules/assimp.yml
  - name: fggl
    buildsystem: cmake
    builddir: true
    sources:
      - type: dir
        path: ../
    cleanup:
      - '/include'
      - '/cmake'
      - '*.a'
